Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.jaxp
Class BXPath

    java.lang.Object
      org.basex.api.jaxp.BXPath

All Implemented Interfaces:
  XPath

    public final class BXPath

extends Object
implements XPath

This class provides an API for standalone XPath processing.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`BXPath()`

Method Summary
`XPathExpression` | `compile(String expr)`
`String` | `evaluate(String expr, InputSource source)`
`Object` | `evaluate(String expr, InputSource source, QName res)`
`String` | `evaluate(String expr, Object item)`
`Object` | `evaluate(String expr, Object item, QName res)`
`NamespaceContext` | `getNamespaceContext()`
`XPathFunctionResolver` | `getXPathFunctionResolver()`
`XPathVariableResolver` | `getXPathVariableResolver()`
`void` | `reset()`
`void` | `setNamespaceContext(NamespaceContext ns)`
`void` | `setXPathFunctionResolver(XPathFunctionResolver fun)`
`void` | `setXPathVariableResolver(XPathVariableResolver var)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXPath

    public BXPath()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `XPath`

### setXPathVariableResolver

    public void setXPathVariableResolver(XPathVariableResolver var)

  Specified by:
    `setXPathVariableResolver` in interface `XPath`

### getXPathVariableResolver

    public XPathVariableResolver getXPathVariableResolver()

  Specified by:
    `getXPathVariableResolver` in interface `XPath`

### setXPathFunctionResolver

    public void setXPathFunctionResolver(XPathFunctionResolver fun)

  Specified by:
    `setXPathFunctionResolver` in interface `XPath`

### getXPathFunctionResolver

    public XPathFunctionResolver getXPathFunctionResolver()

  Specified by:
    `getXPathFunctionResolver` in interface `XPath`

### setNamespaceContext

    public void setNamespaceContext(NamespaceContext ns)

  Specified by:
    `setNamespaceContext` in interface `XPath`

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `XPath`

### compile

    public XPathExpression compile(String expr)

  Specified by:
    `compile` in interface `XPath`

### evaluate

    public Object evaluate(String expr,
                           Object item,
                           QName res)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPath`
  Throws:
    `XPathExpressionException`

### evaluate

    public String evaluate(String expr,
                           Object item)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPath`
  Throws:
    `XPathExpressionException`

### evaluate

    public Object evaluate(String expr,
                           InputSource source,
                           QName res)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPath`
  Throws:
    `XPathExpressionException`

### evaluate

    public String evaluate(String expr,
                           InputSource source)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPath`
  Throws:
    `XPathExpressionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD